View Issue Details

IDProjectCategoryView StatusLast Update
0005442Kali Linux[All Projects] Kali Package Bugpublic2019-05-16 13:11
ReporterGamb1tAssigned Tosbrun 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Product Version2019.1 
Target VersionFixed in Version 
Summary0005442: Dradis will crash due to what I believe is an issue with rails
Description/usr/lib/dradis/ruby/2.5.0/gems/railties-5.1.7/lib/rails/application/configuration.rb:139:in `database_configuration': Cannot load `Rails.application.database_configuration`: (RuntimeError)
Could not load database configuration. No such file - ["config/database.yml"]

When launched from a fresh install dradis will appear to do nothing. Checking journalctl gave the output above, which was the only error I saw.
Steps To ReproduceInstall Kali fresh, launch dradis

Activities

sbrun

2019-05-16 13:11

manager   ~0010583

fixed in version 3.12.0-0kali2

Issue History

Date Modified Username Field Change
2019-05-14 21:22 Gamb1t New Issue
2019-05-15 09:54 sbrun Assigned To => sbrun
2019-05-15 09:54 sbrun Status new => assigned
2019-05-16 13:11 sbrun Status assigned => resolved
2019-05-16 13:11 sbrun Resolution open => fixed
2019-05-16 13:11 sbrun Note Added: 0010583